%define name perl-menu
%define realname perlmenu
%define version 4.0
%define release 3mdk

Name:		%{name}
Summary:	Perl module for curses-based menus and data-entry templates
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Development/Perl
URL:		http://www.cpan.org
Source:		%{realname}.v%{version}.tar.bz2
Patch:		perlmenu.patch.bz2
Requires:	perl = 5.005, ncurses, perl-Curses
Buildroot:	%{_tmppath}/%{name}-buildroot


%description
PerlMenu is a perl library module for curses-based menus and data-entry
templates.


%prep -q
rm -rf $RPM_BUILD_ROOT

%setup -n %{realname}.v%{version}
%patch -p1

%build

%install
mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/perl5/site_perl/5.6.0/i386-linux
install -m640 $RPM_BUILD_DIR/%{realname}.v%{version}/perlmenu.pm \
  $RPM_BUILD_ROOT/%{_prefix}/lib/perl5/site_perl/5.6.0/i386-linux/perlmenu.pm


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ARTISTIC COPYING FAQ INSTALLATION MENUUTIL_DOC MENU_DOC README
%doc RELEASE_NOTES TO_DO demo* ez* template* paint_text *.pl
%{_prefix}/lib/perl5/site_perl/*/i386-linux/perlmenu.pm


%changelog
* Fri Aug 24 2001 Lenny Cartier <lenny@mandrakesoft.com> 4.0-3mdk
- rebuild

* Tue Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 4.0-2mdk
- macros

* Wed Jun 21 2000 Vincent Danen <vdanen@linux-mandrake.com> 4.0-1mdk
- initial specfile
- bzip sources
